Set the workflow of an asset type for a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/settings/asset-types/{asset_type_id}/task-types

Replace the task types allowed for an asset type in a project, instead of the studio workflow. An empty list restores the studio workflow. Task types must be asset task types of the project. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • asset_type_id string(uuid) Required

    Asset type unique identifier

application/json

Body Required

  • task_type_ids array[string(uuid)] Required

    Task types of the workflow

Responses

  • 200 application/json

    The project, without its relations. This response does not give asset_types or asset_type_workflows. Use GET /data/projects/ to read the workflow.

    Hide response attributes Show response attributes object
    • id string(uuid)

      Project unique identifier

    • name string

      Project name

  • 400

    The body is not valid, or the asset type or a task type is not valid for the project

  • 403

    You are not a manager of the project

  • 404

    The project does not exist

PUT /data/projects/{project_id}/settings/asset-types/{asset_type_id}/task-types
curl \
 --request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/settings/asset-types/b35b7fb5-df86-5776-b181-68564193d360/task-types' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "task_type_ids": [
    "c46c8fc6-e097-6887-c292-796752040e47"
  ]
}'
Request examples
{
  "task_type_ids": [
    "c46c8fc6-e097-6887-c292-796752040e47"
  ]
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "My Project"
}